Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.util
Class DefaultEncoderFactory

    java.lang.Object
      net.fortuna.ical4j.util.EncoderFactory
          net.fortuna.ical4j.util.DefaultEncoderFactory

    public class DefaultEncoderFactory

extends EncoderFactory

Author:
  Ben Fortuna

Field Summary

Fields inherited from class net.fortuna.ical4j.util.EncoderFactory
`KEY_FACTORY_CLASS`

Constructor Summary
`DefaultEncoderFactory()`

Method Summary
`BinaryEncoder` | `createBinaryEncoder(Encoding encoding)` Returns a new `BinaryEncoder` for the specified encoding.
`StringEncoder` | `createStringEncoder(Encoding encoding)` Returns a new `StringEncoder` for the specified encoding.

Methods inherited from class net.fortuna.ical4j.util.EncoderFactory
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEncoderFactory

    public DefaultEncoderFactory()

Method Detail

### createBinaryEncoder

    public BinaryEncoder createBinaryEncoder(Encoding encoding)
                                      throws UnsupportedEncodingException

  Description copied from class: `EncoderFactory`
  Returns a new `BinaryEncoder` for the specified encoding.

  Specified by:
    `createBinaryEncoder` in class `EncoderFactory`
  Returns:
    a `BinaryEncoder` instance
  Throws:
    `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.

### createStringEncoder

    public StringEncoder createStringEncoder(Encoding encoding)
                                      throws UnsupportedEncodingException

  Description copied from class: `EncoderFactory`
  Returns a new `StringEncoder` for the specified encoding.

  Specified by:
    `createStringEncoder` in class `EncoderFactory`
  Returns:
    a `StringEncoder` instance
  Throws:
    `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.